CAttribute Class Referenceabstract
Basic data strctures and functions

The class of all attributes of data that is considered to ve meta-data. More...

`#include <mia/core/attributes.hh>`

Inheritance diagram for CAttribute:
[legend]

## Public Member Functions

std::string | as_string () const
| returns the value as a atring
bool | is_equal (const CAttribute &other) const
bool | is_less (const CAttribute &other) const
virtual int | type_id () const =0
virtual const char * | typedescr () const =0
virtual | ~CAttribute ()
| virtual destructor since derived classes may define dynamic objetcs

## Detailed Description

The class of all attributes of data that is considered to ve meta-data.

CAttribute is the base class used for generric attributes of images and similar entities. This class is abstract and most likely you want to use one of the provided specializations of the class TAttribute or create your own specializations.

Definition at line 51 of file attributes.hh.

## Constructor & Destructor Documentation

## ~CAttribute()

virtual CAttribute::~CAttribute | ( |  | ) |

virtual

virtual destructor since derived classes may define dynamic objetcs

## Member Function Documentation

## as_string()

std::string CAttribute::as_string | ( |  | ) | const

returns the value as a atring

Referenced by operator<<().

## is_equal()

bool CAttribute::is_equal | ( | const CAttribute & | other | ) | const

compare this attribute to another one

Parameters

  other | other attribute to compare to

Returns
  true if the attributes are of the same type and hold the same value, false otherwiese

Referenced by operator==().

## is_less()

bool CAttribute::is_less | ( | const CAttribute & | other | ) | const

compare this attribute to another one for a strict ordering

Parameters

  other | other attribute to compare to

Returns
  a result dependend on the actual implementation of the private virtual method do_is_less

## type_id()

virtual int CAttribute::type_id | ( |  | ) | const

pure virtual

Returns
  a type is

Implemented in C3DValueAttribute< T >, C3DValueAttribute< float >, C3DValueAttribute< int >, TAttribute< T >, TAttribute< C3DOrientationAndPosition >, TAttribute< C3DRotation >, TAttribute< CAttributeMap >, TAttribute< double >, TAttribute< E3DImageOrientation >, TAttribute< E3DPatientPositioning >, TAttribute< float >, TAttribute< int >, TAttribute< std::string >, TAttribute< std::vector< double > >, TAttribute< std::vector< float > >, TAttribute< std::vector< int > >, and TAttribute< std::vector< std::string > >.

## typedescr()

virtual const char * CAttribute::typedescr | ( |  | ) | const

pure virtual

Returns
  a descriptive name of the type

Implemented in C3DValueAttribute< T >, C3DValueAttribute< float >, C3DValueAttribute< int >, TAttribute< T >, TAttribute< C3DOrientationAndPosition >, TAttribute< C3DRotation >, TAttribute< CAttributeMap >, TAttribute< double >, TAttribute< E3DImageOrientation >, TAttribute< E3DPatientPositioning >, TAttribute< float >, TAttribute< int >, TAttribute< std::string >, TAttribute< std::vector< double > >, TAttribute< std::vector< float > >, TAttribute< std::vector< int > >, and TAttribute< std::vector< std::string > >.

The documentation for this class was generated from the following file:

- attributes.hh